import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { BsToggleButtonGroupDirective } from '../directives/toggle-button-group/toggle-button-group.directive';
import { BsCheckStyle } from '../types/check-style';
import * as i0 from "@angular/core";
export declare class BsToggleButtonComponent implements AfterViewInit {
    constructor();
    checkbox: ElementRef<HTMLInputElement>;
    dInlineBlockClass: boolean;
    disableAnimations: boolean;
    mainCheckStyle$: Observable<string | null>;
    isSwitch$: Observable<boolean>;
    inputClass$: Observable<string>;
    labelClass$: Observable<string>;
    checkOrRadio$: Observable<'checkbox' | 'radio'>;
    nameResult$: Observable<string | null>;
    type$: BehaviorSubject<BsCheckStyle>;
    get type(): BsCheckStyle;
    set type(value: BsCheckStyle);
    _isToggled: boolean | null;
    isToggledChange: EventEmitter<boolean | null>;
    get isToggled(): boolean | null;
    set isToggled(value: boolean | null);
    disabled: boolean;
    name$: BehaviorSubject<string | null>;
    get name(): string | null;
    set name(value: string | null);
    value$: BehaviorSubject<string | null>;
    get value(): string | null;
    set value(value: string | null);
    group$: BehaviorSubject<BsToggleButtonGroupDirective | null>;
    get group(): BsToggleButtonGroupDirective | null;
    set group(value: BsToggleButtonGroupDirective | null);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsToggleButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BsToggleButtonComponent, "bs-toggle-button", never, { "type": "type"; "isToggled": "isToggled"; "disabled": "disabled"; "name": "name"; "value": "value"; "group": "group"; }, { "isToggledChange": "isToggledChange"; }, never, ["*"], false, never>;
}
